ERROR: 32 bits Linux Android binários emulador estão obsoletos

? user242918 @ | Original: StackOverFlow
---

Eu instalei a versão mais recente do ADT Bundle 32 bit no meu ubuntu 14.04 32 bits . Criei um AVD, mas não lançar . Ao pressionar o botão de início ele mostra a seguinte mensagem:

Começando emulador para AVD ' NexusOne ' ERROR: 32 bits binários Linux emulador Android estão obsoletos, para usá-los        você terá que fazer pelo menos uma das seguintes opções :        - Use a opção " force - 32bit " ao chamar " emulador " .        - Set ANDROID_EMULATOR_FORCE_32BIT para 'true' em seu ambiente.        Qualquer um vai permitir que você use os binários de 32 bits, mas por favor, seja        conscientes de que estes irão desaparecer em um futuro lançamento SDK Android .        Considerar a mudança para um sistema Linux de 64 bits antes que isso aconteça .

Tentei corrigi-lo através da criação de exportação ANDROID_EMULATOR_FORCE_32BIT = true para gedit arquivo .profile e gedit .bashrc . Nada mudou .

Obrigado por tentar me ajudar!

---

Top 5 Responder

1shuofei @

Eu resolver este problema com o seguinte :

ANDROID_EMULATOR_FORCE_32BIT exportação = true

Então eu iniciar o emulador a partir da linha de comando. Funciona!

Espero que seja útil para você.

2jakob @

Eu tenho uma grande solução. você pode iniciá-lo com eclipse ou netbeans . tente:

Em Eclipse, clique em sua pasta de projeto Android e, em seguida, selecione Executar > Executar Configurações ...

No painel à esquerda da caixa de diálogo Executar configurações, selecione a sua configuração de execução do projeto Android ou criar uma nova configuração .

Clique na aba Target.

No campo do emulador Opções de linha de comando, digite:

-force-32bit

Executar seu projeto Android usando esta configuração de execução.

no netbeans você : 1. wher você escolher debuger escolheu Personalizar ...

in Emulator options write -force-32bit click ok. and run application 3Ameen Maheen @

Eu fiz o seguinte

ir para a configuração de execução > guia target> desça até a última > opções de linha de comando emulador adicionais > -force - 32bit

4patrick @

criar um script shell:

#!/bin/bash
#
#   set export ANDROID_EMULATOR_FORCE_32BIT=true

export ANDROID_EMULATOR_FORCE_32BIT=true
/opt/adt-bundle-linux-x86-20140702/eclipse/eclipse

alterar o executável shell script e executá-lo para eclipse ativa " / opt / adt -bundle- linux- x86-20140702 / eclipse / eclipse " é o caminho do eclipse